Bug 166331 - Kernel oops during nfs4 umount
Kernel oops during nfs4 umount
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-19 07:36 EDT by Laszlo Kajan
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Kajan 2005-08-19 07:36:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I did a
umount /var/cache/yum/
which was mounted
/var/cache/yum type nfs4 (rw,proto=tcp,port=2049,rsize=32768,wsize=32768,soft,addr=192.168.0.130)
then I got
Segmentation fault
and in the /var/log/messages:

Aug 19 12:42:03 konik kernel: VFS: Busy inodes after unmount. Self-destruct in 5 seconds.  Have a nice day...
Aug 19 12:42:03 konik kernel: ------------[ cut here ]------------
Aug 19 12:42:03 konik kernel: kernel BUG at fs/nfs/nfs4state.c:136!
Aug 19 12:42:03 konik kernel: invalid operand: 0000 [#1]
Aug 19 12:42:03 konik kernel: Modules linked in: ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables i2c_dev i2c_matroxfb i2c_algo_bit i2c_core matroxfb_base matroxfb_DAC1064 matroxfb_accel matroxfb_Ti3026 matroxfb_g450 g450_pll matroxfb_misc nfs nfsd exportfs lockd sunrpc md5 ipv6 autofs4 vfat fat dm_mod video button battery ac ohci_hcd shpchp snd_cmipci gameport snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_page_alloc snd_opl3_lib snd_timer snd_hwdep snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore 3c59x 8139too mii ne2k_pci 8390 floppy ext3 jbd
Aug 19 12:42:03 konik kernel: CPU:    0
Aug 19 12:42:03 konik kernel: EIP:    0060:[<d4a88630>]    Not tainted VLI
Aug 19 12:42:03 konik kernel: EFLAGS: 00010202   (2.6.12-1.1398_FC4)
Aug 19 12:42:03 konik kernel: EIP is at nfs4_free_client+0x70/0x80 [nfs]
Aug 19 12:42:03 konik kernel: eax: d3443650   ebx: d3443658   ecx: d3443658   edx: cdfeef00
Aug 19 12:42:03 konik kernel: esi: d3443600   edi: d4a9ddc0   ebp: cdfee000   esp: cdfeef28
Aug 19 12:42:03 konik kernel: ds: 007b   es: 007b   ss: 0068
Aug 19 12:42:03 konik kernel: Process umount (pid: 10431, threadinfo=cdfee000 task=cd6c4aa0)
Aug 19 12:42:03 konik kernel: Stack: d3443000 d3443000 d4a8837b cecf3000 d4a7284b cecf3040 cecf3000 c017d8a2
Aug 19 12:42:03 konik kernel:        00000000 00000000 00000000 c019b733 cf34a900 d3fe4860 c014c732 ced42800
Aug 19 12:42:03 konik kernel:        cd6c4aa0 00000001 00000001 00000000 00000001 4305b77b 27a87768 09c6aff0
Aug 19 12:42:03 konik kernel: Call Trace:
Aug 19 12:42:03 konik kernel:  [<d4a8837b>] destroy_nfsv4_state+0x2b/0x40 [nfs]
Aug 19 12:42:03 konik kernel:  [<d4a7284b>] nfs4_kill_super+0x3b/0x50 [nfs]
Aug 19 12:42:03 konik kernel:  [<c017d8a2>] deactivate_super+0x82/0xf0
Aug 19 12:42:03 konik kernel:  [<c019b733>] sys_umount+0x33/0x80
Aug 19 12:42:03 konik kernel:  [<c014c732>] audit_syscall_entry+0x132/0x170
Aug 19 12:42:03 konik kernel:  [<c01082ca>] do_syscall_trace+0xda/0x10e
Aug 19 12:42:03 konik kernel:  [<c019b78c>] sys_oldumount+0xc/0x10
Aug 19 12:42:03 konik kernel:  [<c01039d9>] syscall_call+0x7/0xb
Aug 19 12:42:03 konik kernel: Code: 74 05 e8 a4 1f fc ff 89 f0 e8 7d 37 00 00 8b 86 80 00 00 00 85 c0 74 05 e8 1e 9d fb ff 89 f0 e8 b7 08 6d eb 5b 5e e9 40 44 00 00 <0f> 0b 88 00 d1 19 a9 d4 eb c3 8d b6 00 00 00 00 55 57 56 53 57

It may be on interest that on the server machine there may have been a yum using the cache.

The filesystem was not unmounted after this.
I did again:
umount /var/cache/yum/
and I got the response:
umount: /var/cache/yum: not mounted
umount: /var/cache/yum: not mounted

After this it was unmounted.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. mount /var/cache/yum
2. umount /var/cache/yum
3.
  

Actual Results:  The bug did not appear again, so far.

Expected Results:  The filesystem was not unmounted.

Additional info:
Comment 1 Steve Dickson 2005-08-22 06:52:01 EDT
What kernel version was this happening on?
How reproducible is it? Note: mount/umount nfs4
seem to work just find, so  the oops must related
to the type of work done on the filesystem.
Comment 2 Laszlo Kajan 2005-08-22 10:44:14 EDT
On the client, where the oops occured:
$ cat /proc/version
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version
4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:38 EDT 2005

The server:
$ cat /proc/version
Linux version 2.6.12-1.1398_FC4 (bhcompile@tweety.build.redhat.com) (gcc version
4.0.0 20050519 (Red Hat 4.0.0-8)) #1 Fri Jul 15 00:52:32 EDT 2005

I think the filesystem was not in use - on the client. The server may have been
writing into a file on this mounted filesystem.
Comment 3 Dave Jones 2005-09-30 02:13:33 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Dave Jones 2005-11-10 14:11:19 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 00:15:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:27:55 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.